package com.lzmispt.data.resource.fallback;

package .tmp;

import com.lzmispt.data.center.entity.dto.monitor.GetInterfaceDTO;
import com.lzmispt.data.center.entity.dto.resource.apply.GetApplyDirectoryTreeDTO;
import com.lzmispt.data.center.entity.dto.resource.apply.GetApplyEntityInfoVO;
import com.lzmispt.data.center.entity.dto.resource.apply.GetDataTableConnectionInfoVO;
import com.lzmispt.data.center.entity.dto.resource.apply.GetFileTableInfoVO;
import com.lzmispt.data.center.entity.dto.resource.apply.GetUseRelationInterfaceInfoVO;
import com.lzmispt.data.center.entity.dto.resource.apply.QueryEntityApplyUsedDTO;
import com.lzmispt.data.center.entity.dto.resource.etl.GetEtlTableInfoDTO;
import com.lzmispt.data.center.entity.dto.resource.lzdpdevelop.GetDataDTO;
import com.lzmispt.data.center.entity.dto.resource.lzdpdevelop.GetTableDTO;
import com.lzmispt.data.center.entity.dto.resource.lzdpdevelop.GetTableTreeDTO;
import com.lzmispt.data.center.entity.dto.resource.lzdpdevelop.OperateLogDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.GetInfoItemsUsageDTO;
import com.lzmispt.data.center.entity.dto.resource.spatial.ImportSpatialTableDTO;
import com.lzmispt.data.center.entity.vo.resource.apply.ApplyDirectoryTreeItemVO;
import com.lzmispt.data.center.entity.vo.resource.datasource.DataSourceVO;
import com.lzmispt.data.center.entity.vo.resource.lzdpdevelop.TableTreeVO;
import com.lzmispt.data.center.entity.vo.resource.lzdpdevelop.TableVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.ApplyPlatformUsageVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataEntityRelationsVO;
import com.lzmispt.data.center.entity.vo.resource.spatial.ImportLayerFieldVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.ApplyEntityAndDirInfo;
import com.lzmispt.data.center.entity.vo.statistics.CommonDataCountVO;
import com.lzmispt.data.center.entity.vo.statistics.GetDataInterfaceVO;
import com.lzmispt.data.resource.client.DataApplyClient;
import com.lzmispt.data.resource.entity.dto.monitor.CheckInterfaceListDTO;
import com.lzmispt.data.resource.entity.dto.resanddata.ResAndDataDirectoryDTO;
import com.lzmispt.data.resource.entity.vo.monitor.ApplyDataMonitorVO;
import com.lzmispt.data.resource.entity.vo.monitor.DataPushMonitorVo;
import com.lzmispt.data.resource.entity.vo.monitor.GetApplyInterfaceVO;
import com.lzmispt.data.resource.entity.vo.specialdatabase.ResSpecialDatabaseVO;
import com.lzmispt.framework.entity.entity.ResultEntity;
import feign.Request;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Component;

@Component
public class DataApplyClientFallBack implements DataApplyClient {
  public ResultEntity<List<ApplyDirectoryTreeItemVO>> getDirectoryTree(GetApplyDirectoryTreeDTO paramDTO, String token) {
    String testJson = "{\n  \"directoryTreeList\": [\n    {\n      \"directoryId\": \"790701948602593280\",\n      \"parentDirectoryId\": null,\n      \"directoryName\": \"jaqen\",\n      \"directoryType\": 0,\n      \"platCode\": \"2\",\n      \"children\": [\n        {\n          \"directoryId\": \"790701948602593280\",\n          \"parentDirectoryId\": null,\n          \"directoryName\": \"jaqen\",\n          \"directoryType\": 0,\n          \"platcode\": \"2\",\n          \"children\": null\n        }\n      ]\n    }\n  ]\n}";
    return null;
  }
  
  public ResultEntity<List<TableTreeVO>> getDirectoryTreeData(GetTableTreeDTO tableTreeDTO, String token) {
    return null;
  }
  
  public ResultEntity<List<TableTreeVO>> getDirectoryTreeHistoryData(GetTableTreeDTO tableTreeDTO, String token) {
    return null;
  }
  
  public ResultEntity<TableVO> getTableStructure(GetTableDTO tableDTO, String token) {
    return null;
  }
  
  public ResultEntity<GetApplyEntityInfoVO> getEntityInfoById(Long tableId, String tokenId) {
    return null;
  }
  
  public ResultEntity<GetFileTableInfoVO> getFileTableInfoByFileTableId(Long tableId, String tokenId) {
    return null;
  }
  
  public ResultEntity<TableVO> getHistoryTableStructure(GetTableDTO tableDTO, String token) {
    return null;
  }
  
  public ResultEntity<List<Map<String, Object>>> getTableData(GetDataDTO dataDTO, String token) {
    return null;
  }
  
  public ResultEntity<List<Map<String, Object>>> getHistoryTableData(GetDataDTO dataDTO, String token) {
    return null;
  }
  
  public ResultEntity<Boolean> writeOperateLog(OperateLogDTO operateLogDTO, String token) {
    return null;
  }
  
  public ResultEntity<List<ApplyPlatformUsageVO>> getDirectoryUseInfo(QueryEntityApplyUsedDTO param, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteDirectoryUsage(QueryEntityApplyUsedDTO param, String tokenId) {
    return null;
  }
  
  public ResultEntity<GetFileTableInfoVO> getFileTableInfoByEntityId(Long entityId, String token) {
    return null;
  }
  
  public ResultEntity<List<GetUseRelationInterfaceInfoVO>> getUseRelationInterfaceInfos(Long pkDirectory, Long fkDirectory, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteUseRelationInterface(Long pkDirectory, Long fkDirectory, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<Long, List<ApplyPlatformUsageVO>>> getInfoItemsUseInfo(GetInfoItemsUsageDTO queryParam, String token) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteInfoItemsUsage(GetInfoItemsUsageDTO queryParam, String token) {
    return null;
  }
  
  public ResultEntity<GetApplyEntityInfoVO> getEntityInfoByEntityId(Long entityId, String token) {
    return null;
  }
  
  public ResultEntity<List<MetadataEntityRelationsVO>> getRelationsByPkEntityId(Long entityId, String token) {
    return null;
  }
  
  public ResultEntity<List<MetadataEntityRelationsVO>> getRelationsByFkEntityId(Long entityId, String token) {
    return null;
  }
  
  public ResultEntity<GetDataTableConnectionInfoVO> getDataTableConnectionInfo(Long entityId, String token) {
    return null;
  }
  
  public ResultEntity<GetDataTableConnectionInfoVO> getFileTableConnectionInfo(Long filetableId, String token) {
    return null;
  }
  
  public ResultEntity<List<DataPushMonitorVo>> getDataPushMonitorVo(String token) {
    return null;
  }
  
  public ResultEntity<CommonDataCountVO> getCommonDataCount(String token) {
    return null;
  }
  
  public ResultEntity<Integer> getTotalDataCount(Request.Options options, String token) {
    return null;
  }
  
  public ResultEntity<Integer> getSpecialDatabaseCount(String token) {
    return null;
  }
  
  public ResultEntity<Integer> getApplyInterfaceCount(String token) {
    return null;
  }
  
  public ResultEntity<List<DataSourceVO>> getApplyDatasourceList(String token) {
    return null;
  }
  
  public ResultEntity<GetApplyInterfaceVO> getInterfaceList(GetInterfaceDTO interfaceDTO, String token) {
    return null;
  }
  
  public ResultEntity<GetApplyEntityInfoVO> getTableInfoByDataSourceIdAndTableName(GetEtlTableInfoDTO param, String token) {
    return null;
  }
  
  public ResultEntity<List<GetDataInterfaceVO>> getCheckDataInterfaceList(String token, CheckInterfaceListDTO checkInterfaceListDTO) {
    return null;
  }
  
  public ResultEntity<DataSourceVO> getDatasourceById(Long dataSourceId, String token) {
    return null;
  }
  
  public ResultEntity<List<ImportLayerFieldVO>> getImportLayerField(ImportSpatialTableDTO param, String platCode, String token) {
    return null;
  }
  
  public ResultEntity<GetApplyInterfaceVO> getDataCount(Long id, String platCode, String token) {
    return null;
  }
  
  public ResultEntity<ResSpecialDatabaseVO> getSpecialDatabaseInfoById(Long specialDatabaseId, String tokenId) {
    return null;
  }
  
  public ResultEntity<ApplyDataMonitorVO> getDataMonitorDetails(String tokenId) {
    return null;
  }
  
  public ResultEntity<ApplyEntityAndDirInfo> getEntityDirectoryInfo(Long entityId, String tokenId) {
    return null;
  }
  
  public ResultEntity<ResAndDataDirectoryDTO> selectDirectoryInfoById(Long directoryId, String tokenId) {
    return null;
  }
}
